Subject: Re: JFFS2 on Lite5200

From: Andrey Volkov <[email-masked]>
Date: Tue, 17 Oct 2006 17:54:00 +0400

Artem Bityutskiy wrote:
> On Tue, 2006-10-17 at 17:20 +0400, Andrey Volkov wrote:
>> P.S. Artem, I repeat, I sent this patch _HALF_YEAR_AGO_
>> how about to fix scan.c?
> 
> Andrey,
> 
> I am not JFFS2 maintainer, David Woodhouse is.
Ok, I'll keep it in mind.

> 
> Just looked into your patch. I agree that it may make sense to teach
> JFFS2 to use only aligned addresses, but your patch changes
> include/asm-ppc/io.h which is probably not MTD's business. 
> It probably
> makes sense to submit these changes to a PPC maintainer separately.
> 
> A question - does this mean that one can write only 4-byte chunks to
> this NOR (?) flash?
> 
No, MPC5200 could write any size chunks, but it must be aligned (same
restrictions as in SH4), and this restriction applied only to LPB, but
not SDRAM.

Also, I've in view that jffs2(jffs3 ?) read/write stuff already used
functions which MTD drivers exported, but jffs2_scan_dirent_node and
friends - doesn't.

Andrey